com.fasterxml.jackson.dataformat.smile

## Class SmileFactoryBuilder

- java.lang.Object
- - com.fasterxml.jackson.core.TSFBuilder<SmileFactory,SmileFactoryBuilder>
  - - com.fasterxml.jackson.dataformat.smile.SmileFactoryBuilder

-     public class SmileFactoryBuilder
      extends com.fasterxml.jackson.core.TSFBuilder<SmileFactory,SmileFactoryBuilder>

  `TSFBuilder` implementation for constructing `SmileFactory` instances.
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_formatGeneratorFeatures` Set of `SmileGenerator.Feature`s enabled, as bitmask.
    `protected int` | `_formatParserFeatures` Set of `SmileParser.Feature`s enabled, as bitmask.

    - ### Fields inherited from class com.fasterxml.jackson.core.TSFBuilder

      `_factoryFeatures, _inputDecorator, _outputDecorator, _streamReadFeatures, _streamWriteFeatures, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SmileFactoryBuilder()`
    `` | `SmileFactoryBuilder(SmileFactory base)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SmileFactory` | `build()`
    `SmileFactoryBuilder` | `configure(SmileGenerator.Feature f, boolean state)`
    `SmileFactoryBuilder` | `configure(SmileParser.Feature f, boolean state)`
    `SmileFactoryBuilder` | `disable(SmileGenerator.Feature f)`
    `SmileFactoryBuilder` | `disable(SmileGenerator.Feature first, SmileGenerator.Feature... other)`
    `SmileFactoryBuilder` | `disable(SmileParser.Feature f)`
    `SmileFactoryBuilder` | `disable(SmileParser.Feature first, SmileParser.Feature... other)`
    `SmileFactoryBuilder` | `enable(SmileGenerator.Feature f)`
    `SmileFactoryBuilder` | `enable(SmileGenerator.Feature first, SmileGenerator.Feature... other)`
    `SmileFactoryBuilder` | `enable(SmileParser.Feature f)`
    `SmileFactoryBuilder` | `enable(SmileParser.Feature first, SmileParser.Feature... other)`
    `int` | `formatGeneratorFeaturesMask()`
    `int` | `formatParserFeaturesMask()`

    - ### Methods inherited from class com.fasterxml.jackson.core.TSFBuilder

      `_legacyDisable, _legacyDisable, _legacyEnable, _legacyEnable, _this, configure, configure, configure, configure, configure, disable, disable, disable, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, enable, enable, enable, factoryFeaturesMask, inputDecorator, inputDecorator, outputDecorator, outputDecorator, streamReadFeatures, streamWriteFeatures`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _formatParserFeatures

          protected int _formatParserFeatures

      Set of `SmileParser.Feature`s enabled, as bitmask.

    - #### _formatGeneratorFeatures

          protected int _formatGeneratorFeatures

      Set of `SmileGenerator.Feature`s enabled, as bitmask.

  - ### Constructor Detail

    - #### SmileFactoryBuilder

          protected SmileFactoryBuilder()

    - #### SmileFactoryBuilder

          public SmileFactoryBuilder(SmileFactory base)

  - ### Method Detail

    - #### enable

          public SmileFactoryBuilder enable(SmileParser.Feature f)

    - #### enable

          public SmileFactoryBuilder enable(SmileParser.Feature first,
                                            SmileParser.Feature... other)

    - #### disable

          public SmileFactoryBuilder disable(SmileParser.Feature f)

    - #### disable

          public SmileFactoryBuilder disable(SmileParser.Feature first,
                                             SmileParser.Feature... other)

    - #### configure

          public SmileFactoryBuilder configure(SmileParser.Feature f,
                                               boolean state)

    - #### enable

          public SmileFactoryBuilder enable(SmileGenerator.Feature f)

    - #### enable

          public SmileFactoryBuilder enable(SmileGenerator.Feature first,
                                            SmileGenerator.Feature... other)

    - #### disable

          public SmileFactoryBuilder disable(SmileGenerator.Feature f)

    - #### disable

          public SmileFactoryBuilder disable(SmileGenerator.Feature first,
                                             SmileGenerator.Feature... other)

    - #### configure

          public SmileFactoryBuilder configure(SmileGenerator.Feature f,
                                               boolean state)

    - #### formatParserFeaturesMask

          public int formatParserFeaturesMask()

    - #### formatGeneratorFeaturesMask

          public int formatGeneratorFeaturesMask()

    - #### build

          public SmileFactory build()

      Specified by:
        `build` in class `com.fasterxml.jackson.core.TSFBuilder<SmileFactory,SmileFactoryBuilder>`

Copyright © 2019 FasterXML. All rights reserved.